Access Control
All operations require authentication.
List allowed networksProduction
List allowed networks. Returns the IDs of the networks allowed through the infrastructure firewall. They apply only when the service access policy is filtered.
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ allowedNetwork \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an allowed networkProduction
Path parameters
Domain of the service
Response
Network name, e.g. 123.100.200.0/32
All states an Allowed Network can be in
allowedtoDeletetoUpdateExample uses networkAccessId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ allowedNetwork/ {networkAccessId} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "network": "192.0.2.0/24", "networkAccessId": 0, "state": "allowed"}
Get the AD federation optionDeprecated
Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam instead.
Get the AD federation option. Returns the state of the Active Directory federation option. Deprecated: use iam instead.
Path parameters
Domain of the service
Response
State of the option
disableddisablingenabledenablingerrormigratingunknownExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ federation \
-H "authorization: Bearer $OVH_TOKEN"{ "state": "disabled"}
List federated Active DirectoriesDeprecated
Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam instead.
List federated Active Directories. Returns the IDs of the federated Active Directories. Deprecated: use iam instead.
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ federation/ activeDirectory \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a federated Active DirectoryDeprecated
Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam instead.
Get a federated Active Directory. Returns the federated Active Directory: domain, base DNs, LDAP host and port, and state. Deprecated: use iam instead.
Path parameters
Id of the Active Directory
Domain of the service
Response
Id of the Active Directory
Active Directory base DN for groups
Active Directory base DN for users
Description of your option access network
Active Directory NetBIOS name
Active Directory domain name
IP address of the remote service
Active Directory LDAP hostname
Active Directory LDAP port
Use unsecure LDAP instead of LDAPS
SSL thumbprint of the remote service
State of the option
creatingdeletingdeliverederrortoCreatetoDeletetoUpdateunknownupdatingActive Directory user name
Example uses activeDirectoryId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ federation/ activeDirectory/ {activeDirectoryId} \
-H "authorization: Bearer $OVH_TOKEN"{ "activeDirectoryId": 0, "baseDnForGroups": "string", "baseDnForUsers": "string", "description": "string", "domainAlias": "string", "domainName": "string", "ip": "192.0.2.0", "ldapHostname": "string", "ldapTcpPort": 0, "noSsl": true, "sslThumbprint": "string", "state": "creating", "username": "string"}
Get the HDS optionProduction
Path parameters
Domain of the service
Response
State of the option
disableddisablingenabledenablingerrormigratingunknownExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hds \
-H "authorization: Bearer $OVH_TOKEN"{ "state": "disabled"}
Check if HDS can be disabledDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Check if HDS can be disabled. Returns the current and future commercial versions of the service if the option is disabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
The new/future commercial version
The old/current commercial version
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hds/ canBeDisabled \
-H "authorization: Bearer $OVH_TOKEN"{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}
Check if HDS can be enabledDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Check if HDS can be enabled. Returns the current and future commercial versions of the service if the option is enabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
The new/future commercial version
The old/current commercial version
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hds/ canBeEnabled \
-H "authorization: Bearer $OVH_TOKEN"{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}
Get the HIPAA optionProduction
Path parameters
Domain of the service
Response
State of the option
disableddisablingenabledenablingerrormigratingunknownExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hipaa \
-H "authorization: Bearer $OVH_TOKEN"{ "state": "disabled"}
Check if HIPAA can be disabledDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Check if HIPAA can be disabled. Returns the current and future commercial versions of the service if the option is disabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
The new/future commercial version
The old/current commercial version
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hipaa/ canBeDisabled \
-H "authorization: Bearer $OVH_TOKEN"{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}
Check if HIPAA can be enabledDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Check if HIPAA can be enabled. Returns the current and future commercial versions of the service if the option is enabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
The new/future commercial version
The old/current commercial version
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hipaa/ canBeEnabled \
-H "authorization: Bearer $OVH_TOKEN"{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}
Get the IAM optionProduction
Path parameters
Domain of the service
Response
Identity Provider ID
State of the option
disableddisablingenabledenablingerrormigratingunknownExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ iam \
-H "authorization: Bearer $OVH_TOKEN"{ "identityProviderId": 0, "state": "disabled"}
Check if IAM can be disabledProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ iam/ canBeDisabled \
-H "authorization: Bearer $OVH_TOKEN"true
Check if IAM can be enabledProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ iam/ canBeEnabled \
-H "authorization: Bearer $OVH_TOKEN"true
Get the password policyProduction
Get the password policy. Returns the password rules for users: length, mandatory and denied characters, history and validity period.
Path parameters
Domain of the service
Response
List of denied characters in the password
Whether or not a digit (0-9) is mandatory in the password
Number of previous passwords to keep
Whether or not a letter (a-z or A-Z) is mandatory in the password
Whether or not a lowercase letter (a-z) is mandatory in the password
Maximum lenght of the password
Minimum lenght of the password
Whether or not a special character (\W or _) is mandatory in the password
Whether or not an uppercase letter (A-Z) is mandatory in the password
Password validity period (in days)
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ passwordPolicy \
-H "authorization: Bearer $OVH_TOKEN"{ "deniedChars": [ "string" ], "digitMandatory": true, "historyCheck": 0, "letterMandatory": true, "lowercaseLetterMandatory": true, "maxLength": 0, "minLength": 0, "specialMandatory": true, "uppercaseLetterMandatory": true, "validityPeriod": 0}
Get the PCI-DSS optionProduction
Path parameters
Domain of the service
Response
State of the option
disableddisablingenabledenablingerrormigratingunknownExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ pcidss \
-H "authorization: Bearer $OVH_TOKEN"{ "state": "disabled"}
Check if PCI-DSS can be disabledDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Check if PCI-DSS can be disabled. Returns the current and future commercial versions of the service if the option is disabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
The new/future commercial version
The old/current commercial version
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ pcidss/ canBeDisabled \
-H "authorization: Bearer $OVH_TOKEN"{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}
Check if PCI-DSS can be enabledDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Check if PCI-DSS can be enabled. Returns the current and future commercial versions of the service if the option is enabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
The new/future commercial version
The old/current commercial version
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ pcidss/ canBeEnabled \
-H "authorization: Bearer $OVH_TOKEN"{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}
Get the security optionsProduction
Path parameters
Domain of the service
Response
State of security options
creatingdeleteddeletingdelivereddisabledpendingtoCreateupdatingExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ securityOptions \
-H "authorization: Bearer $OVH_TOKEN"{ "state": "creating"}
List security optionsProduction
List security options. Returns each security option with its state, whether it is enabled and compatible, and the reason when it is not compatible.
Path parameters
Domain of the service
Query parameters
Show incompatible security options (enabled by default)
Show internal security options
Response
Indicates if option is compatible and can be enabled on your Dedicated Cloud
Security option description
Indicates if option is enabled on your Dedicated Cloud
Security option name
accessNetworkFilteredadvancedSecuritybasecontentLibrarygrsecKernelhdshidshipaalogForwardernidspcidssprivateCustomerVlanprivateGwsendLogToCustomersessionTimeoutsftpsncsplasslV3tls1.2tokenValidationtwoFatwoFaFail2banvrliForwarderwafIf your Dedicated Cloud is not compatible with this option, indicates the reason
Detailed security option state
creatingdeleteddeletingdelivereddisabledpendingtoCreateupdatingExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ securityOptions/ compatibilityMatrix \
-H "authorization: Bearer $OVH_TOKEN"[ { "compatible": true, "description": "string", "enabled": true, "name": "accessNetworkFiltered", "reason": { "code": "ACTION_IMPOSSIBLE", "message": "string" }, "state": "creating" }]
Get security option dependenciesProduction
Get security option dependencies. Returns the options that a security option requires, conflicts with, and enables with it.
Path parameters
Domain of the service
Query parameters
Target security option
accessNetworkFilteredadvancedSecuritybasecontentLibrarygrsecKernelhdshidshipaalogForwardernidspcidssprivateCustomerVlanprivateGwsendLogToCustomersessionTimeoutsftpsncsplasslV3tls1.2tokenValidationtwoFatwoFaFail2banvrliForwarderwafResponse
List of conflicting security options which prevents installing given security option
accessNetworkFilteredadvancedSecuritybasecontentLibrarygrsecKernelhdshidshipaalogForwardernidspcidssprivateCustomerVlanprivateGwsendLogToCustomersessionTimeoutsftpsncsplasslV3tls1.2tokenValidationtwoFatwoFaFail2banvrliForwarderwafList of dependencies that will also be enabled during an install of given security option
accessNetworkFilteredadvancedSecuritybasecontentLibrarygrsecKernelhdshidshipaalogForwardernidspcidssprivateCustomerVlanprivateGwsendLogToCustomersessionTimeoutsftpsncsplasslV3tls1.2tokenValidationtwoFatwoFaFail2banvrliForwarderwafList of required security options which must be enabled to install given security option
accessNetworkFilteredadvancedSecuritybasecontentLibrarygrsecKernelhdshidshipaalogForwardernidspcidssprivateCustomerVlanprivateGwsendLogToCustomersessionTimeoutsftpsncsplasslV3tls1.2tokenValidationtwoFatwoFaFail2banvrliForwarderwafExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ securityOptions/ dependenciesTree \
-H "authorization: Bearer $OVH_TOKEN"{ "conflicts": [ "accessNetworkFiltered" ], "depends": [ "accessNetworkFiltered" ], "requires": [ "accessNetworkFiltered" ]}
List pending security optionsProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ securityOptions/ pendingOptions \
-H "authorization: Bearer $OVH_TOKEN"[ "accessNetworkFiltered"]
List 2FA whitelisted networksProduction
List 2FA whitelisted networks. Returns the IDs of the networks exempted from two-factor authentication.
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ twoFAWhitelist \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a 2FA whitelisted networkProduction
Get a 2FA whitelisted network. Returns the IP address, netmask, description and state of the exempted network.
Path parameters
Id of the trusted IP
Domain of the service
Response
IP netmask (CIDR notation) of the remote service
Description of the trusted IP
Id of the trusted IP
IP address of the remote service
State of the whitelist
enabledenablingerrormigratingremovedremovingExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ twoFAWhitelist/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "cidrNetmask": 0, "description": "string", "id": 0, "ip": "192.0.2.0", "state": "enabled"}
Create an allowed networkProduction
Create an allowed network. Allows a network, in CIDR notation, through the infrastructure firewall. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
Description for your ACL
Network name, e.g. 123.100.200.0/32
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ allowedNetwork \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Create a federated Active DirectoryDeprecated
Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam/enable instead.
Create a federated Active Directory. Connects an Active Directory over LDAPS, or over LDAP with noSsl. Deprecated: use iam/enable instead.
Path parameters
Domain of the service
Request body (required)
Active Directory base DN for groups, e.g. dc=example,dc=com
Active Directory base DN for users, e.g. dc=example,dc=com
Description of your option access network
Active Directory NetBIOS name, e.g. example
Active Directory domain name, e.g. example.com
IP address of the remote service, e.g. 123.100.200.0
Active Directory LDAP hostname
Active Directory LDAP/LDAPS TCP port (636 for LDAPS or 389 for LDAP)
Use unsecure LDAP instead of LDAPS
Active Directory password
SSL thumbprint of the remote service, e.g. A7:61:68:...:61:91:2F
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ federation/ activeDirectory \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Update a federated Active DirectoryDeprecated
Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam instead.
Update a federated Active Directory. Updates the credentials, SSL thumbprint or description of the federated Active Directory. Deprecated: use iam instead.
Path parameters
Id of the Active Directory
Domain of the service
Request body (required)
Description of your option access network
Active Directory password
SSL thumbprint of the remote service, e.g. A7:61:68:...:61:91:2F
Active Directory user name (pre-Windows 2000 name), e.g. jdoe@example.com or jdoe
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses activeDirectoryId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ federation/ activeDirectory/ {activeDirectoryId}/ changeProperties \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Grant access to an AD groupDeprecated
Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam/addRole instead.
Grant access to an AD group. Grants access to an Active Directory group. Deprecated: use iam/addRole instead.
Path parameters
Id of the Active Directory
Domain of the service
Request body (required)
Active Directory group name (pre-Windows 2000 name), e.g. mygroup
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses activeDirectoryId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ federation/ activeDirectory/ {activeDirectoryId}/ grantActiveDirectoryGroup \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Grant access to an AD userDeprecated
Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam/addRole instead.
Grant access to an AD user. Grants access to an Active Directory user. Deprecated: use iam/addRole instead.
Path parameters
Id of the Active Directory
Domain of the service
Request body (required)
Active Directory user name (pre-Windows 2000 name), e.g. jdoe@example.com or jdoe
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses activeDirectoryId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ federation/ activeDirectory/ {activeDirectoryId}/ grantActiveDirectoryUser \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable HDSDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Disable HDS. Disables the HDS certification option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hds/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable HDSDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Enable HDS. Enables the HDS certification option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hds/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable HIPAADeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Disable HIPAA. Disables the HIPAA certification option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hipaa/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable HIPAADeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Enable HIPAA. Enables the HIPAA certification option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hipaa/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Create an IAM roleProduction
Create an IAM role. Creates a role with the given name for the OVHcloud IAM option. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
Role name, e.g. mygroup
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ iam/ addRole \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable IAMProduction
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ iam/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable IAMProduction
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ iam/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable PCI-DSSDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Disable PCI-DSS. Disables the PCI-DSS certification option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ pcidss/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable PCI-DSSDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Enable PCI-DSS. Enables the PCI-DSS certification option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ pcidss/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Resume a security option activationProduction
Resume a security option activation. Retries the activation of a pending security option. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
Security option to resume enabling
accessNetworkFilteredadvancedSecuritybasecontentLibrarygrsecKernelhdshidshipaalogForwardernidspcidssprivateCustomerVlanprivateGwsendLogToCustomersessionTimeoutsftpsncsplasslV3tls1.2tokenValidationtwoFatwoFaFail2banvrliForwarderwafResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ securityOptions/ resumePendingEnabling \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Create a 2FA whitelisted networkProduction
Create a 2FA whitelisted network. Exempts an IP address or network from two-factor authentication. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
Description of the exception
IP address or network of the remote service, e.g. 123.100.200.0
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ twoFAWhitelist \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Update a 2FA whitelisted networkProduction
Path parameters
Id of the trusted IP
Domain of the service
Request body (required)
Description of your whitelist
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ twoFAWhitelist/ {id}/ changeProperties \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Delete an allowed networkProduction
Delete an allowed network. Removes the network from the infrastructure firewall. Returns a task to track progress.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses networkAccessId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ allowedNetwork/ {networkAccessId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Delete a federated Active DirectoryDeprecated
Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam instead.
Delete a federated Active Directory. Removes the federated Active Directory. Deprecated: use iam instead.
Path parameters
Id of the Active Directory
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses activeDirectoryId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ federation/ activeDirectory/ {activeDirectoryId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Delete a 2FA whitelisted networkProduction
Path parameters
Id of the trusted IP
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ twoFAWhitelist/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Update an allowed networkProduction
Path parameters
Domain of the service
Request body (required)
Network name, e.g. 123.100.200.0/32
All states an Allowed Network can be in
allowedtoDeletetoUpdateResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses networkAccessId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ allowedNetwork/ {networkAccessId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}